import request from '@/utils/request'

// 查询防汛抗旱队伍管理列表
export function listEhsFloodDroughtTeam(query) {
  return request({
    url: '/ehs/ehsFloodDroughtTeam/list',
    method: 'get',
    params: query
  })
}

// 查询防汛抗旱队伍管理详细
export function getEhsFloodDroughtTeam(id) {
  return request({
    url: '/ehs/ehsFloodDroughtTeam/' + id,
    method: 'get'
  })
}

// 新增防汛抗旱队伍管理
export function addEhsFloodDroughtTeam(data) {
  return request({
    url: '/ehs/ehsFloodDroughtTeam',
    method: 'post',
    data: data
  })
}

// 修改防汛抗旱队伍管理
export function updateEhsFloodDroughtTeam(data) {
  return request({
    url: '/ehs/ehsFloodDroughtTeam',
    method: 'put',
    data: data
  })
}

// 删除防汛抗旱队伍管理
export function delEhsFloodDroughtTeam(id) {
  return request({
    url: '/ehs/ehsFloodDroughtTeam/' + id,
    method: 'delete'
  })
}
